Programmable Real-time Unit (PRU) Software Support Package v6.3.0


DESCRIPTION

   The PRU Software Support Package (PSSP) is an add-on package that provides a framework
   and examples for developing software for the Programmable Real-time Unit
   sub-system and Industrial Communication Sub-System (PRU-ICSS) in the supported
   TI processors.  The PRU-ICSS achieves deterministic, real-time processing, direct
   access to I/Os and meets ultra-low-latency requirements.

   This software package contains example PRU firmware code as well as application
   loader code for the host OS. The examples demonstrate the PRU capabilities to
   interact with and control the system and its resources.

   See Release_Notes.txt for details about this specific PSSP version.

   For more details about the PRU, visit

        https://software-dl.ti.com/processor-sdk-linux/esd/AM64X/latest/exports/docs/linux/Foundational_Components_PRU_Subsystem.html



WHAT's INCLUDED?

   This package includes the following resources:

	DIRECTORY	CONTENTS
	---------	--------
	examples	Basic PRU examples
	include		PRU firmware header files
	labs		Source code for step-by-step labs
	lib		PRU library files and library source files
	pru_cape	Demo software for the BeagleBone PRU Cape



ADDITIONAL RESOURCES

   For more information about the PRU, visit:

	PRU-ICSS/PRU_ICSSG docs	- https://software-dl.ti.com/processor-sdk-linux/esd/AM64X/latest/exports/docs/linux/Foundational_Components_PRU_Subsystem.html
	Support			- http://e2e.ti.com
